; Shows the filenames of all files in the current directory.
$search = FileFindFirstFile("*.*")  ; file find first file of all files in the directory.

; Check if the search was successful.
If $search = -1 Then ; if the variable, search equals negative one, then,
	MsgBox(0, "Error", "No files/directories matched the search pattern"); a message box will appear.
	Exit ; and then exit the program.
EndIf ; ends an, if, statement.

While 1 ; while, is a loop waiting for an action.
	$file = FileFindNextFile($search) ; finds the, next file, from the original search.
	If @error Then ExitLoop ; if there is an error the exit the while, wend loop.
	
	MsgBox(4096, "File:", $file) ; message box to display the file that was found.
WEnd ; returns to the while, loop.

; Close the search handle.
FileClose($search)
