

; Use _IETableWriteToArray to read the contents of an HTML table into an array.

#include <IE.au3>; Include the UDF

; Create an IE Browser
$oIE = _IECreate()

; Navigate to your URL
_IENavigate($oIE, "http://pda.hko.gov.hk/wxreporte.htm")

; Get a reference to the Second table on the webpage (where the detail is stored)
; note that object indexes are 0-based, so the second table is index 1
;$oTable2 = _IETableGetObjByIndex($oIE, 1)
$oTable2 = _IETableGetCollection($oIE, 1)


; Read the table cells into a 2-D array
$aWeather = _IETableWriteToArray($oTable2)

; Write the array contents out to the console
For $i = 0 to Ubound($aWeather, 2) - 1
    ConsoleWrite("City: " & $aWeather[0][$i] & " --> Temp: " & $aWeather[1][$i] & @CR)
Next

Exit

#cs
------------------------------------------------------------
It creates output like this:

City: KING'S PARK --> Temp: 28 DEGREES.
City: WONG CHUK HANG --> Temp: 29 DEGREES.
City: TA KWU LING --> Temp: 29 DEGREES.
City: LAU FAU SHAN --> Temp: 28 DEGREES.
City: TAI PO --> Temp: 29 DEGREES.
City: SHA TIN --> Temp: 29 DEGREES.
City: TUEN MUN --> Temp: 29 DEGREES.
City: TSEUNG KWAN O --> Temp: 28 DEGREES.
City: SAI KUNG --> Temp: 29 DEGREES.
City: CHEUNG CHAU --> Temp: 28 DEGREES.
City: CHEK LAP KOK --> Temp: 30 DEGREES.
City: TSING YI --> Temp: 29 DEGREES.
City: SHEK KONG --> Temp: 29 DEGREES .
#ce