

; This example creates a browser window, navigates to Google, sets the search string value and performs a search.

; By looking at the HTML source on the Google page, you'll find that the form on the page has a name of "f" and the query text box has a name of "q" 
; (this will of course be different on differnt web pages, so you need to look at the source). 
; These names are used to create references to the form and the field in the form so that we can act upon them.

; The _IELoadWait at the end is optional and causes the script to wait for the page to be fully loaded before moving to the next line. Many of the IE.au3 functions can perform this wait automatically, but the _IEFormSubmit cannot.

#include <IE.au3>

$Search = "Autoitv3"

$oIE = _IECreate()
_IENavigate($oIE, "http://www.google.com")

$oForm = _IEFormGetObjByName($oIE, "f")
$oQuery = _IEFormElementGetObjByName($oForm, "q")

_IEFormElementSetValue($oQuery, $Search)
_IEFormSubmit($oForm)
_IELoadWait($oIE)

Exit